1. Units
ESG SDMS Prod
  • Authentication
    • Auth
      POST
  • Corporate
    • Indicators
      • List Indicators
      • Show Indicator
    • Indicator Data Input
      • List Data Input
      • Get Data Input
      • Create Data Input
      • Update Data Input
      • Delete Data Input
      • Create or Update Data Input
    • Units
      • List Units
        GET
      • Show Unit
        GET
    • Themes
      • List Themes
      • Show Theme
    • Groups
      • Show Group
      • List Groups
    • Regimes
      • Show Regime
      • List Regimes
    • Years
      • Show Year
      • List Years
  1. Units

Show Unit

Prod Env
https://platform.esginvest.com
Prod Env
https://platform.esginvest.com
GET
/api/external/corporate/units/{{ID}}
Generated from cURL: curl --location '{{BASE_URL}}/api/external/corporate/units/{{ID}}' --request GET

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://platform.esginvest.com/api/external/corporate/units/{{ID}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 2,
    "name": "Tonnes CO2e per employee",
    "type": "NUMBER",
    "short_name": null,
    "translations": [
        {
            "id": 3509,
            "translatable_type": "App\\Models\\Unit",
            "translatable_id": 2,
            "language_code": "ar",
            "field": "name",
            "translated_text": "طن انبعاثات كربونية لكل موظف",
            "created_at": "2025-05-25T14:41:14.000000Z",
            "updated_at": "2025-05-25T14:41:14.000000Z"
        },
        {
            "id": 3508,
            "translatable_type": "App\\Models\\Unit",
            "translatable_id": 2,
            "language_code": "en",
            "field": "name",
            "translated_text": "Tonnes CO2e per employee",
            "created_at": "2025-05-25T14:41:14.000000Z",
            "updated_at": "2025-05-25T14:41:14.000000Z"
        }
    ]
}
Modified at 2026-03-30 01:20:00
Previous
List Units
Next
List Themes
Built with